GET
/v1/simpleInventory/{SKU}
const url = 'https://api.zentail.com/v1/simpleInventory/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.zentail.com/v1/simpleInventory/example \ --header 'Authorization: Bearer <token>'Returns the total quantity of this SKU available in all warehouses
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”SKU
required
string
Responses
Section titled “ Responses ”Success
Media typeapplication/json
object
SKU
SKU value is the unique identifier for a product in Zentail.
string
standardProductId
Depending on the type defined in standardProductIdType this field contains either the UPC, EAN, ISBN, or GTIN for this product.
string
active
boolean
standardProductIdType
One of UPC, EAN, ISBN or GTIN.
string
totalAvailableQuantity
integer
lastInventoryUpdateTs
Timestamp quantity for this product was last updated across all warehouses.
string format: date-time
Examplegenerated
{ "SKU": "example", "standardProductId": "example", "active": true, "standardProductIdType": "example", "totalAvailableQuantity": 1, "lastInventoryUpdateTs": "2026-04-15T12:00:00Z"}Bad Request
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 400}Permission Denied
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 403}Not Found
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 404}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{ "errorCode": 500}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 503}